            #GIT_CMT=9c6e36f752b08f2135c9e4890c8b97e25eb62850
%define RELEASE 7
%{?el7:%define uektag uek4}

Name:           libibacl
Version:        1.0
Release:        %{RELEASE}%{?dist}%{?uektag}
Summary:        Library and utilities to develop Access Control applications
Group:          Development/Libraries
License:        BSD
Vendor:         Oracle Corp.
Source: libibacl-1.0.tar.bz2
Prefix:         %{_prefix}
Packager:       Yuval Shaia
BuildRoot:      %{name}-%{version}
BuildRequires:  glibc glib2-devel

%description -n %{name}
Library and utilities to develop Access Control applications

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_bindir}
cp %_builddir/%{name}-%{version}/lib/%{name}.so.%{version} %{buildroot}%{_libdir}
cp %_builddir/%{name}-%{version}/include/ibacl.h %{buildroot}%{_includedir}
cp %_builddir/%{name}-%{version}/utils/ibacl_enable.c.bin %{buildroot}%{_bindir}/ibacl_enable
cp %_builddir/%{name}-%{version}/utils/ibacl_disable.c.bin %{buildroot}%{_bindir}/ibacl_disable
cp %_builddir/%{name}-%{version}/utils/ibacl_get_state.c.bin %{buildroot}%{_bindir}/ibacl_get_state
cp %_builddir/%{name}-%{version}/utils/ibacl_get_instances.c.bin %{buildroot}%{_bindir}/ibacl_get_instances
cp %_builddir/%{name}-%{version}/utils/ibacl_add_instance.c.bin %{buildroot}%{_bindir}/ibacl_add_instance
cp %_builddir/%{name}-%{version}/utils/ibacl_del_instance.c.bin %{buildroot}%{_bindir}/ibacl_del_instance
cp %_builddir/%{name}-%{version}/utils/ibacl_get_list.c.bin %{buildroot}%{_bindir}/ibacl_get_list
cp %_builddir/%{name}-%{version}/utils/ibacl_add_to_list.c.bin %{buildroot}%{_bindir}/ibacl_add_to_list
cp %_builddir/%{name}-%{version}/utils/ibacl_del_from_list.c.bin %{buildroot}%{_bindir}/ibacl_del_from_list
cp %_builddir/%{name}-%{version}/utils/ibacl_add_guid_range_to_list.c.bin %{buildroot}%{_bindir}/ibacl_add_guid_range_to_list
cp %_builddir/%{name}-%{version}/utils/ibacl_del_guid_range_from_list.c.bin %{buildroot}%{_bindir}/ibacl_del_guid_range_from_list

%check

%clean
rm -fr %{_builddir}/%{name}-%{version}
rm -fr %{buildroot}

%files
%doc COPYING
%{_libdir}/%{name}.so.%{version}
%{_includedir}/ibacl.h
%{_bindir}/ibacl_enable
%{_bindir}/ibacl_disable
%{_bindir}/ibacl_get_state
%{_bindir}/ibacl_get_instances
%{_bindir}/ibacl_add_instance
%{_bindir}/ibacl_del_instance
%{_bindir}/ibacl_get_list
%{_bindir}/ibacl_add_to_list
%{_bindir}/ibacl_del_from_list
%{_bindir}/ibacl_add_guid_range_to_list
%{_bindir}/ibacl_del_guid_range_from_list

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri May 18 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0-7
- Add "uek4" token for OL7 package builds (Aron Silverton) [Orabug: 27934606]

* Tue Mar 06 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0-6
- libibacl: Fix rpmlint issues [Orabug: 27648148]
- libibacl: Cannot delete ACLs using a range of GUID (Ka-Cheong Poon) [Orabug: 27532785]

* Wed Aug 30 2017 Ka-Cheong Poon <ka-cheong.poon@oracle.com> - 1.0-5
- [Orabug: 26646620] Add IPv6 support to libibacl

* Thu Jan 19 2017 Mukesh Kacker <mukesh.kacker@oracle.com>
- Add BSD copyright text and related fixes

* Wed Jan 20 2016 Yuval Shaia <yuval.shaia@oracle.com>
- Initial Revision
